/*
CSL Overrides
 */

:root {
}

h1, .h1 {
    font-size: var(--csl-h1-font-size);
}

h2, .h2 {
    font-size: var(--csl-h2-font-size);
}

h3, .h3 {
    font-size: var(--csl-h3-font-size);
}

h4, .h4 {
    font-size: var(--csl-h4-font-size);
}

h5, .h5 {
    font-size: var(--csl-h5-font-size);
}

h6, .h6 {
    font-size: var(--csl-h6-font-size);
}


/* Don't add padding here - use the bootstrap classes (p..,m..) */
/* if you *really* need to do that - make sure you're as specific as possible (ie not just h1,h2 etc!) */
h1, h2, h3, h4, h5, h6 {
    font-family: var(--csl-font-family), serif;
    color: var(--color-primary-dark);
}


body {
    min-width: var(--csl-xs) !important;
}

footer, .footer-font {
    font-family: var(--csl-footer-font-family), sans-serif;
    font-size: var(--csl-footer-font-size);
    font-weight: var(--csl-footer-font-weight);
}

footer.website, footer.website a {
    color: var(--csl-second-color);
}

footer.website {
    background-color: var(--color-primary-dark);
}

footer.website a {
    text-decoration: none;
}

html, body {
    font: var(--csl-font);
    color: var(--csl-base-color);
    background-color: var(--csl-base-bg-color);
}


p {
    font-weight: var(--csl-less-bold);
}


.hidden-on-load {
    opacity: 0;
    transition: opacity 5s ease-in-out; /* Smooth fade-in */
}

.fade-in {
    animation: fadeInEffect 2s ease-in-out forwards;
}


.main-footer {
    padding: 0.5rem;
}


/*
This overrides the font weight for h1 h2 and the h1 h2 .card-title variants
 */
h1, h1.card-title, h2.card-title, .fair-treatment-box h3 {
    font-weight: var(--csl-less-bold);
}

.csl-bold {
    font-weight: var(--csl-bold);
}

hr.csl {
    margin-top: 1rem;
    margin-bottom: 1rem;
    border: 0;
    border-top: 5px solid var(--color-primary-light);
}

.cookie-z-index {
    z-index: 1041;
}

.systemwide-alert-z-index {
    z-index: 1040;
}


.color-csl-dark {
    color: var(--color-primary-dark);
}

.color-csl-light {
    color: var(--csl-base-color);
}

.color-csl-white {
    color: var(--csl-second-color);
}


@media (min-width: 1400px) {
    .container-wide {
        max-width: 1400px;
    }

    .container-payment {
        max-width: 100rem;
    }
}

.front-page-container {
    padding-top: 7.0rem;
}

.front-page-first-line {
    font-weight: bold;
    line-height: 3rem;
    font-size: 2.25rem;
}

@media (max-width: 767px) {
    .front-page-first-line {
        font-size: 1.875rem;
    }
}


.make-a-payment-container, .contact-us-container {
    padding-top: 5.5rem;
}


.breadcrumb-pt {
    padding-top: 6rem !important;
    padding-bottom: 0;
    background-color: var(--csl-second-color) !important;
}

.breadcrumb-no-background {
    background-color: transparent;
    padding: 0;
}

.sticky-top {
    border-bottom: var(--color-primary-light) 1px solid;
}

.csl-small-box {
    transition: background-color 1s ease;
}

.csl-small-box:hover {
    background-color: var(--rgba-primary-light-opaque);
}


.more-bold, ol.more-bold-list-item li::marker {
    font-weight: var(--csl-bold);
}

.list-alpha-with-brace {
    list-style: none;
    counter-reset: custom-counter-alpha;
}

.list-alpha-with-brace li::before {
    font-weight: var(--csl-bold);
    content: counter(custom-counter-alpha, lower-alpha) ")";
    counter-increment: custom-counter-alpha;
    margin-right: 0.5em;
}

/*
modify navbar on screen sizes under 575px
 */
@media only screen and (max-width: 575px) {
    .content-spacer {
        padding-top: 2em;
    }
}

.content-spacer {
    padding-top: 8em;
    min-height: 85vh;
}

.content-spacer.content-terms-and-conditions {
    background-color: #ffffff !important;
}

.content-wrapper {
    background-color: initial; /* Override AdminLTE's content wrapper */
}


.icon-color-csl {
    color: var(--color-primary-light);
}

:root {
    --polygon-height: 85%;
}

.down-polygon {
    clip-path: polygon(100% 0, 100% var(--polygon-height), 50% 100%, 0 var(--polygon-height), 0 0);
    /*width: 99.7%;*/
    /*margin: auto;*/
}

div > img.image-box {
    height: 10em;
}

img.image-box {
    object-fit: contain;
    width: 68%;
}

/*
The order of .background-homepage and the @media part is important;
the cascade in CSS means that these should be in this order for
it to work correctly!
 */

[class^="background-"] {
    background-size: auto;
    background-position: top;
    background-repeat: no-repeat;
    background-attachment: fixed;
    opacity: 0.6;
    height: 29rem;
    width: 100%;
    left: 0.03125rem;
    right: 0.03125rem;
    margin-bottom: 4rem;
}

.background-none {
    height: 7.5rem;
    margin-bottom: 0;
    opacity: 1;
    background-color: var(--csl-base-banner-bg-color);
    padding-bottom: 0;
}

.background-homepage {
    background-image: var(--background-homepage),
    linear-gradient(to right, #cad2da, #d5dade);
    height: 38.5rem !important;
    object-fit: contain;
}

.background-faq {
    background-image: var(--background-faq);
}

.background-support {
    background-image: var(--background-support);
}

.background-fair-treatment {
    background-image: var(--background-fair-treatment);
}

.background-contact {
    background-image: var(--background-contact);
}

.background-payment {
    background-image: var(--background-payment);
}

.background-terms-and-conditions {
    background-image: var(--background-terms-and-conditions);
    background-size: contain;
}

.background-clients, .background-clients-form {
    background-image: var(--background-clients);
}

.background-clients-form {
    background-color: rgba(33, 31, 90, 0.81);
    background-blend-mode: multiply;
    background-repeat: no-repeat;
    background-size: cover;
}

.csl-base-background-color-opaque {
    background-color: var(--csl-base-banner-bg-color);
}

.csl-base-background-color-opaque h1 {
    font-family: "Roboto", Helvetica, Arial, Verdana, sans-serif;
    font-weight: 700;
    font-size: 2em;
}

/*
modify navbar on screen sizes under 575px
 */
/*@media only screen and (max-width: 575px) {*/
/*    [class^="background-"] {*/
/*        background-origin: padding-box;*/
/*        background-size: contain;*/
/*        margin-top: 1em;*/
/*        !*background-position-x: center;*!*/
/*        height: 14em;*/
/*        width: 90vw;*/
/*        margin-left: auto;*/
/*        margin-right: auto;*/
/*        padding-top: 5em;*/
/*        background-position: top;*/
/*        transform: translateY(4em);*/
/*    }*/

/*}*/

.polygon-shadow {
    filter: drop-shadow(0 .5rem 1rem rgba(0, 0, 0, .15));
}

/*
If width of screen is over 576px...
 */
/*@media only screen and (min-width: 576px) {*/
.background-homepage {
    /*background-size: contain;*/
    height: 35em;
    margin: auto;
}

.payment-box {
    position: relative;
    box-sizing: border-box;
    margin: auto;
}

/*}*/

.content-header h1 {
    font-size: initial;
    margin: 0;
}

.fair-treatment-box {
    background-color: var(--csl-box-color);
}

.payment-box {
    padding: 2em;
    text-align: center;
    background-color: var(--csl-payment-box-color);
}

.brand-image {
    opacity: 0.8;
}

.homepage-contact-title {
    font-size: 105%;
}

a {
    color: var(--color-primary-light);
    text-decoration: underline;
    cursor: pointer;
}

.nav-link:hover {
    color: var(--color-primary-light) !important;
}

.no-link-underline {
    text-decoration: none;
}

[class*="icon-text-button"] .icon-text-button-text {
    min-height: 5em;
}

/*
Overrides the current h3 in the component
 */
.secure-third-party-support h3 {
    font-size: 110%;
}

.story-circle {
    width: 150px; /* Adjust the width of the container as needed */
    border-radius: 50%; /* Makes the image container circular */
    overflow: hidden; /* Ensures the image stays within the circular container */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5); /* Adds a drop shadow to the circle */
}

.story-circle img {
    width: 100%; /* Makes the image width equal to the container width */
    height: auto; /* Allows the image's height to adjust proportionally */
    display: block; /* Removes any potential spacing below the image */
}

/* Parent container for the icon */
.icon-circle {
    position: relative;
    width: 4rem; /* Adjust as needed */
    height: 4rem; /* Match the width for a perfect circle */
    background-color: var(--color-primary-light, #007bff); /* Replace with your color variable or hex value */
    border-radius: 50%; /* Makes the div circular */
    display: flex;
    align-items: center;
    justify-content: center;
}

.icon-circle.icon-circle-icon-size {
    font-size: 4rem;
}

.bg-csl {
    background-color: var(--color-primary-light-4) !important;
}

.bg-csl-dark {
    background-color: var(--color-primary-dark-4) !important;
}

.secure-messaging-area {
    max-height: 80%;
    height: 70vh;
    overflow-y: scroll;
}


.cookie-button-position {
    color: var(--csl-second-color);
    background-color: var(--color-primary-light);
    border-color: var(--color-primary-light);

    position: fixed;
    bottom: 0;
    right: 10vw;

    display: inline-block;
    font-weight: 400;
    text-align: center;
    vertical-align: middle;
    user-select: none;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem 0.25rem 0 0;
    box-shadow: .5rem 0 1rem rgba(0, 0, 0, .15) !important;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.cookie-button-position:hover {
    background-color: var(--color-primary-light-4);
}

@media only screen and (max-width: 575px) {
    .cookie-button-position {
        border-radius: 0.25rem;
        right: 0;
    }
}


.wiggle-icon-container, .wiggle-animation {
    --wiggle-scale: 0.6;
    transform: scale(var(--wiggle-scale, 0.7));
}

.wiggle-animation:hover {
    animation: wiggle 0.5s ease 2;
}

.animate {
    --wiggle-scale: 1.0; /* This keeps the circles the same size */
    animation: wiggle 0.5s ease infinite;
}

#scrollToTopBtn {
    position: fixed;
    margin: auto;
    font-weight: 900;
    padding-top: 0.25rem;
    /*padding: 0.375rem 0.75rem;*/
    font-size: 1.2rem;
    /*line-height: 1;*/
    width: 2em;
    height: 2em;
    background-color: var(--color-primary-light-1);
    color: var(--color-primary-dark);
    border: none;
    border-radius: 0.25rem;
    cursor: pointer;
    text-align: center;
    vertical-align: middle;

    right: -100px; /* Initially off-screen to the right */
    bottom: 20px;

    transition: right 0.3s, transform 0.3s ease-out; /* Add transitions for 'right' and 'transform' properties */
}

/* When the button is displayed, move it to the right */
#scrollToTopBtn.active {
    --wiggle-scale: 1.0; /* This keeps the scale the same size */
    right: 20px; /* Adjust the value to control the position */
    animation: wiggle 0.5s ease 1s; /* Apply the wiggle animation */
}

/* When the button is hidden, slide it out to the left */
#scrollToTopBtn.hidden {
    right: -100px; /* Slide it out to the left */
}

@media only screen and (max-width: 575px) {
    #scrollToTopBtn {
        bottom: 50px;
        display: inline-block;
        user-select: none;
    }

    #scrollToTopBtn.active {
        right: 0;
    }
}


.screen-reader-text {
    clip: rect(1px, 1px, 1px, 1px);
    height: 1px;
    overflow: hidden;
    position: absolute !important;
    width: 1px;
}

.pedigree-section {
    /*max-width: 1240px;*/
}

.pedigree-section .pedigree-icon {
    min-height: 4rem;
    height: 4rem;
}

.pedigree-section .pedigree-heading {
    min-height: 3rem;
    height: 3rem;
    font-size: 18px;
}

.pedigree-section p {
    font-size: 14px;
}

.contact-details > div > div > div > h3 {
    font-size: 100%;
    font-weight: bolder;
}


.formResultBlock {
    opacity: 1;
    max-height: 1000px;
    overflow: hidden;
    transition: opacity 1s ease, max-height 1s ease;
}

.hide-form-result {
    opacity: 0;
    max-height: 0;
    transition: opacity 0.5s ease, max-height 0.5s ease;
}

.ways-to-get-in-touch-text {
    font-size: 1.875rem;
    font-weight: 400;
}

.contact-us-text {
    font-size: 2.375rem;
}

/* Animation Keyframes */

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

@keyframes fadeInEffect {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

/* Define the wiggle animation with a variable for scale */
@keyframes wiggle {
    0% {
        transform: rotate(0deg) scale(var(--wiggle-scale, 0.7));
    }
    25% {
        transform: rotate(10deg) scale(var(--wiggle-scale, 0.7));
    }
    50% {
        transform: rotate(-10deg) scale(var(--wiggle-scale, 0.7));
    }
    75% {
        transform: rotate(10deg) scale(var(--wiggle-scale, 0.7));
    }
    100% {
        transform: rotate(0deg) scale(var(--wiggle-scale, 0.7));
    }
}
